# StructureDataBlock

data class StructureDataBlock(material: Material, blockData: BlockData) : StructureData
Content copied to clipboard

## Constructors

StructureDataBlock
Link copied to clipboard
fun StructureDataBlock(block: Block)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Material
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): BlockData
Content copied to clipboard
copy
Link copied to clipboard
fun copy(material: Material, blockData: BlockData): StructureDataBlock
Content copied to clipboard
createAt
Link copied to clipboard
open override fun createAt(loc: Location)
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

blockData
Link copied to clipboard
val blockData: BlockData
Content copied to clipboard
material
Link copied to clipboard
val material: Material
Content copied to clipboard